package com.webClient.dayTwo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import org.assertj.core.util.Lists;

import java.util.List;

public class Person {
  public int id;
  public String name;

  public Person() {
  }

  public Person(int id, String name) {
    this.id = id;
    this.name = name;
  }

  @JsonIgnore
  public Person getPerson(int id) {
    return personList.get(id);
  }

  @JsonIgnore
  public List<Person> getAllPeople() {
    return personList;
  }

  @JsonIgnore
  public Person addPerson(Person person) {
    personList.add(person);
    return person;
  }

  static List<Person> personList = Lists.newArrayList(
          new Person(0, "Philippe"),
          new Person(1, "Dave"),
          new Person(2, "Shon"),
          new Person(3, "Jason"),
          new Person(4, "Jolley")
  );
}

